# Lean - Lra Capabilities

Use this method to retrieve the configuration of a LRA.

**For the full technical reference, see the [OpenAPI specification](/products/leandisposable/openapi/utility/getlracapabilities)**.

REST API
#### Endpoint


```
GET /api/utility/{lraId}/capabilities
```

#### Headers

| Name | Required | Description |
|  --- | --- | --- |
| `Content-Type` | Yes | Must be `application/json`. |
| `Authorization` | Yes | Basic Auth credentials. |


#### Path parameters

| Parameter | Type | Required | Description |
|  --- | --- | --- | --- |
| `lraId` | integer | Yes | LRA identifier. |


The response includes:

* `otp` — allowed [`otpType`](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/lean-enum-types#disposableotptype) values and constraints with [`DisposableIdentificationType`](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/lean-enum-types#disposableidentificationtype)
* `disposableIdentificationType` — allowed [`DisposableIdentificationType`](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/lean-enum-types#disposableidentificationtype) values
* `eid` — allowed [eIDs](https://namirial.atlassian.net/wiki/spaces/TT/pages/90449619/Lean+-+eID+identification)
* `cert` — allowed [`DisposableType`](/products/leandisposable/enterprise-documentation/developer-documentation/api-references/lean-enum-types#disposabletype) values
* `op` — One Platform info
* `configuration` — LRA configuration
* `legalEntity` — legal entity info stored in TSP
* `contract` — available contracts


#### Response examples

#### **Response Example**


```xml
{
   "company":"SPA",
   "otp":{
      "allowed":[
         "NO_OTP",
         "EMAIL",
         "SMS"
      ],
      "constraintsDisposableIdentificationType":[
         {
            "otpType":"NO_OTP",
            "disposableIdentificationType":[
               "SPID"
            ]
         },
         {
            "otpType":"EMAIL",
            "disposableIdentificationType":[
               "SPID"
            ]
         }
      ]
   },
   "disposableIdentificationType":{
      "allowed":[
         "DEVISU",
         "CNS",
         "FIRMA",
         "THIRDPARTY",
         "WEB",
         "CIE",
         "SPID",
         "ALTRO"
      ]
   },
   "eid":{
      "allowed":[
         {
            "country":"IT",
            "eid":"SPID",
            "rp":[          
               {
                  "entityId":"https://esp.test.namirialtsp.com/wizard",
                  "minimumLevel":2,
                  "expirationTimespanSecond":1800
               }
            ]
         },
         {
            "country":"IT",
            "eid":"CIE",
            "rp":[
               {
                  "entityId":"https://esp.test.namirialtsp.com/wizardcie",
                  "minimumLevel":3,
                  "expirationTimespanSecond":1800
               }
            ]
         }
      ]
   },
   "cert":{
      "allowed":[
         "DISPOSABLE",
         "DISPOSABLE_30_DAYS",
         "LONG-LIVED"
      ]
   },
   "op":{
      "legalEntityId":"xxxxxxxxx",
      "customerId":"xxxxxxxxxxxx",
      "buReId":{
         "disposable":"buReIdGUUID98w12huw1p"
      }
   },
   "configuration":{
      "maxMobileReuseInRangeDaysDisposable":1,
      "rangeDaysMobileDisposable":0,
   },
   "legalEntity": {
        "idLegalEntity": 79488,
        "country": "IT"
    },
   "contract":{
      "allowed":{
         "DISPOSABLE_30_DAYS":[
            {
               "country":"BG",
               "language":"BG"
            },
            {
               "country":"FR",
               "language":"FR"
            },
            {
               "country":"BE",
               "language":"FR"
            },
            {
               "country":null,
               "language":"EN"
            }
         ],
         "DISPOSABLE":[
            {
               "country":"IT",
               "language":"IT"
            },
            {
               "country":null,
               "language":"EN"
            }
         ],
         "LONG-LIVED":[
            {
               "country":"BG",
               "language":"BG"
            }
         ]
      }
   }
}
```

SOAP API
The SOAP interface is deprecated. Use the REST API instead.

No api